package service

import (
	"blazing/cool"

	"blazing/modules/dict/model"
)

type DictTypeService struct {
	*cool.Service
}

func NewDictTypeService() *DictTypeService {
	return &DictTypeService{
		Service: &cool.Service{
			Model: model.NewDictType(),
			ListQueryOp: &cool.QueryOp{
				KeyWordField: []string{"name"},
			},
		},
	}
}
